routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::get('/register', 'AuthController@register')->name('register');
Route::post('/register', 'AuthController@storeUser');

Route::get('/login', 'AuthController@login')->name('login');
Route::post('/login', 'AuthController@authenticate');
Route::get('logout', 'AuthController@logout')->name('logout');
Route::group(['middleware' => 'auth'], function()
{
    Route::get('/home', 'AuthController@home')->name('home');
    Route::get('/', 'AuthController@home')->name('home');
    Route::resource('/owner','OwnerController');
    Route::resource('/patient','PatientController');
});

app/Owner.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
// use Illuminate\Database\Eloquent\Factories\HasFactory;

class Owner extends Model
{
    //
    // use HasFactory;
    protected $fillable = [
        'first_name',
        'last_name',
        'phone'
    ];
}

app/User.php
<?php

namespace App;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

app/patient.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
// use Illuminate\Database\Eloquent\Factories\HasFactory;

class patient extends Model
{
    //
    // use HasFactory;
    protected $fillable = [
        'name',
        'species',
        'color',
        'date_of_birth',
        'owner_id',
    ];
    public function owner()
    {
        return $this->belongsTo(Owner::class);
    }
}

app/Http/Controllers/AuthController.php
<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\User;
use App\patient;
use App\Owner;
use Auth;
use Hash;

class AuthController extends Controller
{
    public function register()
    {

      if (Auth::check()) {
        return redirect()->intended('home');
      }
      return view('auth.register');
      
    }

    public function storeUser(Request $request)
    {
        $request->validate([
            'email' => 'required|string|email|max:255|unique:users',
            'password' => 'required|string|min:8|confirmed',
            'password_confirmation' => 'required',
        ]);

        User::create([
            
            'email' => $request->email,
            'password' => Hash::make($request->password),
        ]);

        return redirect('login')->with('success','Your account was successfully created.');
    }

    public function login()
    {

      if (Auth::check()) {
        return redirect()->intended('home');
    }

      return view('auth.login');
      
    }

    public function authenticate(Request $request)
    {
        $request->validate([
            'email' => 'required|string|email',
            'password' => 'required|string',
        ]);

        $credentials = $request->only('email', 'password');

        if (Auth::attempt($credentials)) {
            return redirect()->intended('home');
        }

        return redirect('login')->with('error', 'Oppes! You have entered invalid credentials');
    }

    public function logout() {
      Auth::logout();

      return redirect('login');
    }

    public function home()
    {
      $Veterinarians=User::count();
      $patients=patient::count();
      $Owners=Owner::count();
      return view('home',compact('Veterinarians','patients','Owners'));
    }
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/OwnerController.php
<?php

namespace App\Http\Controllers;

use App\Owner;
use Illuminate\Http\Request;

class OwnerController extends Controller
{

    public function index(Request $request)
    {
        $items = Owner::orderBy('id','DESC')->paginate(5);
        return view('owner.table',compact('items'))
            ->with('i', ($request->input('page', 1) - 1) * 5);
    }

    public function create()
    {
        return view('owner.create');
    }

    public function store(Request $request)
    {
        $this->validate($request, [
            'first_name'=>'required|max:25',
            'last_name'=>'required|max:25',
            'phone'=>'required|max:10|min:10|unique:owners',
        ]);
        Owner::create($request->all());

        return redirect()->route('owner.index')
                        ->with('success','Item created successfully');
    }

    public function edit(Owner $owner)
    {
        $item = Owner::find($owner->id);
        return view('owner.edit',compact('item'));
    }

    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'first_name'=>'required|max:25',
            'last_name'=>'required|max:25',
            'phone'=>'required|digits:10|unique:owners,phone,'.$id,
        ]);


        Owner::find($id)->update($request->all());

        return redirect()->route('owner.index')
                        ->with('success','Item updated successfully');
    }

    public function destroy(Owner $owner)
    {
        Owner::find($owner->id)->delete();
        return redirect()->route('owner.index')
                        ->with('success','Item deleted successfully');

    }
}

app/Http/Controllers/PatientController.php
<?php

namespace App\Http\Controllers;

use App\patient;
use App\Owner;
use Illuminate\Http\Request;

class PatientController extends Controller
{
    public function index(Request $request)
    {
        $items = patient::orderBy('id','DESC')->paginate(5);
        return view('patient.table',compact('items'))
            ->with('i', ($request->input('page', 1) - 1) * 5);
    }

    public function create()
    {
        $owners=Owner::Pluck('first_name','id')->toArray();
        return view('patient.create',compact('owners'));
    }

    public function store(Request $request)
    {
        $this->validate($request, [
            'name'=>'required|max:25',
            'species'=>'required|max:25',
            'color'=>'required|max:25',
            'date_of_birth'=>'required|date',
            'owner_id'=>'required|exists:owners,id',
        ]);

        patient::create($request->all());

        return redirect()->route('patient.index')
                        ->with('success','Item created successfully');
    }

    public function edit(patient $patient)
    {
        $owners=Owner::Pluck('first_name','id')->toArray();
        $item = patient::find($patient->id);
        return view('patient.edit',compact('item','owners'));
    }

    public function update(Request $request, $id)
    {
        // dd($request->all());
        $this->validate($request, [
            'name'=>'required|max:25',
            'species'=>'required|max:25',
            'color'=>'required|max:25',
            'date_of_birth'=>'required|date',
            'owner_id'=>'required|exists:owners,id',
        ]);


        patient::find($id)->update($request->all());

        return redirect()->route('patient.index')
                        ->with('success','Item updated successfully');
    }

    public function destroy(patient $patient)
    {
        patient::find($patient->id)->delete();
        return redirect()->route('patient.index')
                        ->with('success','Item deleted successfully');

    }
}

resources/views/home.blade.php
@extends('layouts.app')

@section('content')
<div class="w-full">
  <div class="p-10 grid grid-cols-1 sm:grid-cols-1 md:grid-cols-3 lg:grid-cols-3 xl:grid-cols-3 gap-5">
    <!--Card 1-->
    <div class="rounded overflow-hidden shadow-lg">
        <a href="{{ url('/home') }}">
        <div class="px-6 py-4">
          <div class="font-bold text-xl mb-2">Veterinarians</div>
          <p class="text-gray-700 text-base">
            {{$Veterinarians}}
          </p>
        </div>
      </a>
      </div>
    <!--Card 2-->
    <div class="rounded overflow-hidden shadow-lg">
      <a href="{{ url('owner') }}">
      
      <div class="px-6 py-4">
        <div class="font-bold text-xl mb-2">Owners</div>
        <p class="text-gray-700 text-base">
          {{$Owners}}
        </p>
      </div>
      
    </a>
    </div>
    <!--Card 3-->
    <div class="rounded overflow-hidden shadow-lg">
      <a href="{{ url('patient') }}">
      
      <div class="px-6 py-4">
        <div class="font-bold text-xl mb-2">Patients</div>
        <p class="text-gray-700 text-base">
          {{$patients}}
        </p>
      </a>
      </div>
    </div>
  </div>
</div>
</div>
@endsection

resources/views/layouts/app.blade.php
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
	<head>
		<meta charset="UTF-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge"/>
		<meta name="viewport" content="width=device-width, initial-scale=1.0"/>
	    <title>{{ config('app.name', 'Veterinarian') }}</title>
        <script src="https://cdn.tailwindcss.com"></script>
		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
		<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
	</head>
	<body >
		<nav class="bg-white shadow-lg">
			<div class="max-w-6xl mx-auto px-4">
				<div class="flex justify-between">
					<div class="flex space-x-7">
						<div>
							<!-- Website Logo -->
							<a href="{{ url('/') }}" class="flex items-center py-4 px-2">
							
								<span class="font-semibold text-gray-500 text-lg">{{ config('app.name', 'Laravel') }}</span>
							</a>
						</div>
						<!-- Primary Navbar items -->

                        @guest
                        @else
						<div class="hidden md:flex items-center space-x-1">
							<a href="{{ url('/home') }}" class="py-4 px-2  {{ Request::is('home*') ? 'text-green-500' : 'text-gray-500' }} font-semibold hover:text-green-500 transition duration-300">Home</a>
							<a href="{{ url('owner') }}" class="py-4 px-2 {{ Request::is('owner*') ? 'text-green-500' : 'text-gray-500' }} font-semibold hover:text-green-500 transition duration-300">Owner</a>
							<a href="{{ url('patient') }}" class="py-4 px-2 {{ Request::is('patient*') ? 'text-green-500' : 'text-gray-500' }} font-semibold hover:text-green-500 transition duration-300">Patient</a>
						</div>
                        @endif
					</div>
					<div class="hidden md:flex items-center space-x-3 ">
                        @guest
						<a href="{{ route('login') }}" class="py-2 px-2 font-medium {{ Request::is('login*') ? 'text-green-500' : 'text-gray-500' }} rounded hover:bg-green-500 hover:text-white transition duration-300">{{__('Login')}}</a>
						<a href="{{ route('register') }}" class="py-2 px-2 font-medium {{ Request::is('register*') ? 'text-green-500' : 'text-gray-500' }} rounded hover:bg-green-500 hover:text-white transition duration-300">{{__('Register')}}</a>
                        @else
						<a href="{{ route('logout') }}" class="py-2 px-2 font-medium {{ Request::is('logout*') ? 'text-green-500' : 'text-gray-500' }} rounded hover:bg-green-500 hover:text-white transition duration-300">{{__('Logout')}}</a>
                        @endif
                    </div>

					<!-- Mobile menu button -->
					<div class="md:hidden flex items-center">
						<button class="outline-none mobile-menu-button">
						<svg class="w-6 h-6 text-gray-500 hover:text-green-500 "
							x-show="!showMenu"
							fill="none"
							stroke-linecap="round"
							stroke-linejoin="round"
							stroke-width="2"
							viewBox="0 0 24 24"
							stroke="currentColor"
						>
							<path d="M4 6h16M4 12h16M4 18h16"></path>
						</svg>
					</button>
					</div>
				</div>
			</div>
			<!-- mobile menu -->
			<div class="hidden mobile-menu">
				<ul class="">
					@guest
                    <li><a href="{{url('/login')}}" class="block text-sm px-2 py-4 {{ Request::is('login*') ? 'text-green-500' : 'text-gray-500' }}  transition duration-300">{{__('Login')}}</a></li>
                    <li><a href="{{url('/register')}}" class="block text-sm px-2 py-4 {{ Request::is('register*') ? 'text-green-500' : 'text-gray-500' }}  transition duration-300">{{__('Register')}}</a></li>        
                    @else
                    <li><a href="{{url('/home')}}" class="block text-sm px-2 py-4 {{ Request::is('home*') ? 'text-green-500' : 'text-gray-500' }} transition duration-300">Home</a></li>
					<li><a href="{{url('/owner')}}" class="block text-sm px-2 py-4 {{ Request::is('owner*') ? 'text-green-500' : 'text-gray-500' }} transition duration-300">Owner</a></li>
					<li><a href="{{url('/patient')}}" class="block text-sm px-2 py-4 {{ Request::is('patient*') ? 'text-green-500' : 'text-gray-500' }} transition duration-300">Patient</a></li>
                    <li><a href="{{route('logout')}}" class="block text-sm px-2 py-4 {{ Request::is('logout*') ? 'text-green-500' : 'text-gray-500' }}  transition duration-300">{{__('Logout')}}</a></li>
                    @endif
				</ul>
			</div>
			<script>
				const btn = document.querySelector("button.mobile-menu-button");
				const menu = document.querySelector(".mobile-menu");

				btn.addEventListener("click", () => {
					menu.classList.toggle("hidden");
				});
			</script>
		</nav>
        <div class="pt-10 flex items-center justify-center">
      
                @yield('content')
            </div>
	</body>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/sweetalert/2.1.0/sweetalert.min.js"></script>
<script type="text/javascript">
 
     $('.show_confirm').click(function(event) {
          var form =  $(this).closest("form");
          var name = $(this).data("name");
          event.preventDefault();
          swal({
              title: `Are you sure you want to delete this item?`,
              text: "If you delete this, it will be gone forever.",
              icon: "warning",
              buttons: true,
              dangerMode: true,
          })
          .then((willDelete) => {
            if (willDelete) {
              form.submit();
            }
          });
      });
  
</script>
</html>

resources/views/owner/create.blade.php
@extends('layouts.app')
@section('content')

<div class="w-full max-w-xs">
    {!! Form::open(['method' => 'POST','route' => ['owner.store'],'class' => 'bg-white shadow-2xl rounded px-8 pt-6 pb-8 mb-4']) !!}  
    <div class="text-xl">{{ __('Create Owner') }}</div>
    <br>
    <div class="mb-4">
    {{ Form::label('first_name', 'First Name', array('class' =>'block text-gray-700 text-sm font-bold mb-2'))}}
    {{ Form::text('first_name',NULL ,array('class' =>'shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline','id'=>'first_name','placeholder'=>'First Name')) }}
    @error('first_name')
    <p class="text-red-500 text-xs italic">{{ $message }}</p>
    @enderror
    </div>
    <div class="mb-4">
    {{ Form::label('last_name', 'Last Name', array('class' =>'block text-gray-700 text-sm font-bold mb-2'))}}
    {{ Form::text('last_name',NULL,array('class' =>'shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline','id'=>'last_name','placeholder'=>'Last Name')) }}
    @error('last_name')
    <p class="text-red-500 text-xs italic">{{ $message }}</p>
    @enderror  
    </div>
    <div class="mb-4">
    {{ Form::label('phone', 'Phone', array('class' =>'block text-gray-700 text-sm font-bold mb-2'))}}
    {{ Form::text('phone',NULL,array('class' =>'shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline','id'=>'phone','placeholder'=>'Phone')) }}
    @error('phone')
    <p class="text-red-500 text-xs italic">{{ $message }}</p>
    @enderror  
    </div>
    <div class="flex items-center justify-between">
    {{Form::submit('Submit!', ['class' => 'bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded focus:outline-none focus:shadow-outline'])}}  
    </div>
    {!! Form::close() !!}
</div>
@endsection

resources/views/owner/edit.blade.php
@extends('layouts.app')
@section('content')

<div class="w-full max-w-xs">
    {!! Form::model($item,['method' => 'PATCH','route' => ['owner.update', $item->id],'class' => 'bg-white shadow-2xl rounded px-8 pt-6 pb-8 mb-4']) !!}  
    <div class="text-xl">{{ __('Edit Owner') }}</div><br>
    <div class="mb-4">
    {{ Form::label('first_name', 'First Name', array('class' =>'block text-gray-700 text-sm font-bold mb-2'))}}
    {{ Form::text('first_name',$item->first_name ,array('class' =>'shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline','id'=>'first_name','placeholder'=>'First Name')) }}
    @error('first_name')
    <p class="text-red-500 text-xs italic">{{ $message }}</p>
    @enderror
    </div>
    <div class="mb-4">
    {{ Form::label('last_name', 'Last Name', array('class' =>'block text-gray-700 text-sm font-bold mb-2'))}}
    {{ Form::text('last_name',$item->last_name,array('class' =>'shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline','id'=>'last_name','placeholder'=>'Last Name')) }}
    @error('last_name')
    <p class="text-red-500 text-xs italic">{{ $message }}</p>
    @enderror  
    </div>
    <div class="mb-4">
    {{ Form::label('phone', 'Phone', array('class' =>'block text-gray-700 text-sm font-bold mb-2'))}}
    {{ Form::text('phone',$item->phone,array('class' =>'shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline','id'=>'phone','placeholder'=>'Phone')) }}
    @error('phone')
    <p class="text-red-500 text-xs italic">{{ $message }}</p>
    @enderror  
    </div>
    <div class="flex items-center justify-between">
    {{Form::submit('Submit!', ['class' => 'bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded focus:outline-none focus:shadow-outline'])}}  
    </div>
    {!! Form::close() !!}
</div>
@endsection

resources/views/owner/table.blade.php
@extends('layouts.app')
@section('content')

<div class="flex flex-col">



  @if ($message = Session::get('success'))
    <div class="p-4 mb-4 text-sm text-green-700 bg-green-100 rounded-lg dark:bg-green-200 dark:text-green-800" role="alert">
      {{ $message }}
    </div>
  @endif
  <div>Owner List </div> <div class="text-right"><a class="p-1 text-green-500" href="{{ route('owner.create') }}"><i class="fa fa-plus"></i> ADD</a></div>
  
  <div class="overflow-x-auto sm:-mx-6 lg:-mx-8">
    <div class="py-2 inline-block min-w-full sm:px-6 lg:px-8">
      <div class="overflow-hidden">
      @if(count($items))
        <table class="min-w-full">
          <thead class="border-b">
            <tr>
              <th scope="col" class="text-sm font-medium text-gray-900 px-6 py-4 text-left">
                #
              </th>
              <th scope="col" class="text-sm font-medium text-gray-900 px-6 py-4 text-left">
                First Name
              </th>
              <th scope="col" class="text-sm font-medium text-gray-900 px-6 py-4 text-left">
                Last Name
              </th>
              <th scope="col" class="text-sm font-medium text-gray-900 px-6 py-4 text-left">
                Phone 
              </th>
              <th scope="col" class="text-sm font-medium text-gray-900 px-6 py-4 text-left">
                Action 
              </th>
            </tr>
          </thead>
          <tbody>
          
          @foreach ($items as $key => $item)
            <tr class="border-b">
              <td class="px-6 py-4 whitespace-nowrap text-sm font-medium text-gray-900">{{++$i}}</td>
              <td class="text-sm text-gray-900 font-light px-6 py-4 whitespace-nowrap">
              {{$item->first_name	}}
              </td>
              <td class="text-sm text-gray-900 font-light px-6 py-4 whitespace-nowrap">
              {{$item->last_name	}}
              </td>
              <td class="text-sm text-gray-900 font-light px-6 py-4 whitespace-nowrap">
              {{$item->phone	}}
              </td>
              <td class="text-sm text-gray-900 font-light px-6 py-4 whitespace-nowrap flex">
              
                

                <a class="p-1 text-blue-500" href="{{ route('owner.edit',$item->id) }}"><i class="fa fa-edit"></i></a>
                <form action="{{ route('owner.destroy', $item->id) }}" method="POST">
                            <input type="hidden" name="_method" value="DELETE">
                            <input type="hidden" name="_token" value="{{ csrf_token() }}">
                            <!-- <button class="btn btn-danger m-1">Delete User</button> -->
                            <button class="p-1 text-red-500 show_confirm"><i class="fa fa-times"></i></button>
                </form>
              
              </td>
            </tr>
            @endforeach
           
            
          </tbody>
        </table>
        {!! $items->links() !!}
        @else
        NO Owner Found
        @endif
      </div>
    </div>
  </div>
</div>



	

@endsection

resources/views/patient/create.blade.php
@extends('layouts.app')
@section('content')
<div class="w-full max-w-xs">
@if(count($owners))
{!! Form::open(['method' => 'POST','route' => ['patient.store'],'class' => 'bg-white shadow-2xl rounded px-8 pt-6 pb-8 mb-4']) !!}  
<div class="text-xl">{{ __('Create Patient') }}</div>
   <br>
<div class="mb-4">
    {{ Form::label('name', 'Name', array('class' =>'block text-gray-700 text-sm font-bold mb-2'))}}
    {{ Form::text('name',NULL ,array('class' =>'shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline','id'=>'name','placeholder'=>'Name')) }}
    @error('name')
    <p class="text-red-500 text-xs italic">{{ $message }}</p>
    @enderror
    </div>
    <div class="mb-4">
    {{ Form::label('species', 'Species', array('class' =>'block text-gray-700 text-sm font-bold mb-2'))}}
    {{ Form::text('species',NULL,array('class' =>'shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline','id'=>'species','placeholder'=>'Species')) }}
    @error('species')
    <p class="text-red-500 text-xs italic">{{ $message }}</p>
    @enderror  
    </div>
    <div class="mb-4">
    {{ Form::label('Color', 'Color', array('class' =>'block text-gray-700 text-sm font-bold mb-2'))}}
    {{ Form::text('color',NULL,array('class' =>'shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline','id'=>'color','placeholder'=>'Color')) }}
    @error('color')
    <p class="text-red-500 text-xs italic">{{ $message }}</p>
    @enderror  
    </div>
    <div class="mb-4">
    {{ Form::label('date_of_birth', 'Date Of Birth', array('class' =>'block text-gray-700 text-sm font-bold mb-2'))}}
    {{ Form::Date('date_of_birth',NULL,array('class' =>'shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline','id'=>'date_of_birth','placeholder'=>'Date Of Birth')) }}
    @error('date_of_birth')
    <p class="text-red-500 text-xs italic">{{ $message }}</p>
    @enderror  
    </div>
    <div class="mb-4">
    {{ Form::label('owner_id', 'Name Of Owner', array('class' =>'block text-gray-700 text-sm font-bold mb-2'))}}
    {{ Form::select('owner_id', $owners,NULL,array('class' =>'shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline','id'=>'owner_id','placeholder'=>'Select Owner')) }}
    @error('owner_id')
    <p class="text-red-500 text-xs italic">{{ $message }}</p>
    @enderror  
    </div>
    <div class="flex items-center justify-between">
    {{Form::submit('Submit!', ['class' => 'bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded focus:outline-none focus:shadow-outline'])}}  
    </div>
    {!! Form::close() !!}
    @else
    plese add at list one owner
    @endif
</div>
<script>
    var today = new Date();
var dd = today.getDate();
var mm = today.getMonth()+1; //January is 0 so need to add 1 to make it 1!
var yyyy = today.getFullYear();
if(dd<10){
  dd='0'+dd
} 
if(mm<10){
  mm='0'+mm
} 

today = yyyy+'-'+mm+'-'+dd;
document.getElementById("date_of_birth").setAttribute("max", today);
</script>
@endsection

resources/views/patient/table.blade.php
@extends('layouts.app')
@section('content')

<div class="flex flex-col">
  @if ($message = Session::get('success'))
      <div class="p-4 mb-4 text-sm text-green-700 bg-green-100 rounded-lg dark:bg-green-200 dark:text-green-800" role="alert">
        {{ $message }}
      </div>
  @endif
<div>Patient List </div> <div class="text-right"><a class="p-1 text-green-500" href="{{ route('patient.create') }}"><i class="fa fa-plus"></i> ADD</a></div>

  <div class="overflow-x-auto sm:-mx-6 lg:-mx-8">
    <div class="py-2 inline-block min-w-full sm:px-6 lg:px-8">
      <div class="overflow-hidden min-w-full">
        @if(count($items))
        <table class="min-w-full ">
          <thead class="border-b">
            <tr>
              <th scope="col" class="text-sm font-medium text-gray-900 px-6 py-4 text-left">
                #
              </th>
              <th scope="col" class="text-sm font-medium text-gray-900 px-6 py-4 text-left">
                Name
              </th>
              <th scope="col" class="text-sm font-medium text-gray-900 px-6 py-4 text-left">
                Specie
              </th>
              <th scope="col" class="text-sm font-medium text-gray-900 px-6 py-4 text-left">
              color
              </th>
              <th scope="col" class="text-sm font-medium text-gray-900 px-6 py-4 text-left">
              Date Of Birth
              </th>
              <th scope="col" class="text-sm font-medium text-gray-900 px-6 py-4 text-left">
              Owner 
              </th>
              <th scope="col" class="text-sm font-medium text-gray-900 px-6 py-4 text-left">
                Action 
              </th>
            </tr>
          </thead>
          <tbody>

          @foreach ($items as $key => $item)
            <tr class="border-b">
              <td class="px-6 py-4 whitespace-nowrap text-sm font-medium text-gray-900">{{++$i}}</td>
              <td class="text-sm text-gray-900 font-light px-6 py-4 whitespace-nowrap">
              {{$item->name	}}
              </td>
              <td class="text-sm text-gray-900 font-light px-6 py-4 whitespace-nowrap">
              {{$item->species	}}
              </td>
              <td class="text-sm text-gray-900 font-light px-6 py-4 whitespace-nowrap">
              {{$item->color	}}
              </td>
              <td class="text-sm text-gray-900 font-light px-6 py-4 whitespace-nowrap">
              {{$item->date_of_birth	}}
              </td>
              <td class="text-sm text-gray-900 font-light px-6 py-4 whitespace-nowrap">
              {{$item->owner->first_name	}}
              </td>
              <td class="text-sm text-gray-900 font-light px-6 py-4 whitespace-nowrap flex">
              
                

                <a class="p-1 text-blue-500" href="{{ route('patient.edit',$item->id) }}"><i class="fa fa-edit"></i></a>
                
                <form action="{{ route('patient.destroy', $item->id) }}" method="POST">
                            <input type="hidden" name="_method" value="DELETE">
                            <input type="hidden" name="_token" value="{{ csrf_token() }}">
                            <!-- <button class="btn btn-danger m-1">Delete User</button> -->
                            <button class="p-1 text-red-500 show_confirm" ><i class="fa fa-times"></i></button>
                </form>
              
              </td>
            </tr>
            @endforeach
          </tbody>
          </table>

          {!! $items->links() !!}
          @else
          Patient Not Found
          @endif
        
      </div>
    </div>
  </div>
</div>
	

@endsection